/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

/* Global */
.subhead {
  margin-bottom: -0.5rem !important;
}

.h1-heading,
.h2-heading,
.h3-heading,
.h4-heading,
.h5-heading,
.h6-heading {
  padding-top: 1rem !important;
  /* padding-bottom: 1rem !important; */
}

.header-accent {
  font-weight: 300;
}

.secondary {
  padding-top: 0 !important;
  padding-bottom: 0 !important;
}

.accent {
  padding-top: 0 !important;
  padding-bottom: 0 !important;
}

.page-header {
  padding-top: 0 !important;
  padding-bottom: 0 !important;
}

.page-header h1 {
}

.breadcrumb_last {
  font-size: 16px;
}

/* Fix: Resolve conflict with social icon link */
a:hover {
  text-decoration: underline;
}

/* Remove underline on links */
.link-no-underline {
  text-decoration: none !important;
}

.link-no-underline a {
  text-decoration: none !important;
}

/* Elementor Editor Fix: Text box bottom gap */
.elementor-widget-text-editor p:last-child {
  margin-bottom: 0px;
}

/* Custom Buttons: Implemented to override issues with buggy global styles */
.elementor-button {
  background-color: #fa1212 !important;
  font-weight: 700 !important;
  font-style: normal !important;
  text-decoration: none !important;
  text-transform: uppercase !important;
  font-size: 14px !important;
}

.elementor-button:hover {
  background-color: #212121 !important;
  color: #fff !important;
  text-decoration: none !important;
}

.btn-secondary a {
  color: #fff !important;
  background-color: #414141 !important;
}

.btn-secondary a:hover {
  color: #fff !important;
  background-color: #212121 !important;
}

.btn-tertiary a {
  color: #212121 !important;
  background-color: #eee !important;
}

.btn-tertiary a:hover {
  color: #eee !important;
  background-color: #212121 !important;
}

.btn-link .elementor-button-content-wrapper {
  /* border-bottom: 1px solid #FA1212 !important; */
  font-size: 16px !important;
}

.btn-link .elementor-button-icon {
  fill: #fa1212 !important;
}

.btn-link a {
  color: #fa1212 !important;
  background-color: transparent !important;
  text-transform: uppercase !important;
  padding: 0 !important;
}

.btn-link a:hover {
  color: #414141 !important;
  background-color: transparent !important;
}

.btn-link a:hover .elementor-button-icon {
  fill: #414141 !important;
}

.btn-link a:hover .elementor-button-content-wrapper {
  /* border-bottom: 1px solid #212121 !important; */
}

.btn-link-secondary a {
  color: #000000 !important;
  background-color: transparent !important;
  text-transform: uppercase !important;
  padding: 0 !important;
  font-size: 14px !important;
  display: inline-flex;
  align-items: center;
}

.btn-link-secondary .elementor-button-icon {
  fill: #000000 !important;
  width: 12px;
  height: 12px;
  margin-right: 5px;
}

.btn-link-secondary a:hover {
  color: #717171 !important;
  background-color: transparent !important;
}

.btn-link-secondary a:hover .elementor-button-icon {
  fill: #717171 !important;
}

.btn-header-link .elementor-button-content-wrapper {
  /* border-bottom: 1px solid #FA1212 !important; */
  font-size: 14px !important;
}

.btn-header-link .elementor-button-icon {
  fill: #fa1212 !important;
}

.btn-header-link a {
  color: #fa1212 !important;
  background-color: transparent !important;
  text-transform: uppercase !important;
  padding: 0 !important;
}

.btn-header-link a:hover {
  color: #414141 !important;
  background-color: transparent !important;
}

.btn-header-link a:hover .elementor-button-icon {
  fill: #414141 !important;
}

.btn-header-link a:hover .elementor-button-content-wrapper {
  /* border-bottom: 1px solid #212121 !important; */
}

/* Main Navigation */
.sub-arrow svg {
  margin-left: -5px !important;
  fill: #fff;
}

.menu-item:hover .sub-arrow svg {
  fill: #fff;
}

.elementor-nav-menu > li > ul > li > ul {
  background-color: #414141 !important;
}

.shome-nav-link a{
	text-transform: none !important;
}

.sidebar-filter .accordion .heading h3 {
  font-size: 16px;
  line-height: 42px;
  color: #000000;
  font-weight: bold;
  border-bottom: 1px solid #eeefef;
  margin: 0;
}
.sidebar-filter .contents {
  padding-top: 15px;
  color: #000000;
  font-size: 16px;
  line-height: 34px;
  font-weight: 400;
}

.sidebar-filter .accordion .heading h3::after {
  display: flex;
  float: right;
  content: "";
  background-repeat: no-repeat !important;
  width: 15px;
  position: relative;
  height: 20px;
  background: url('../../uploads/2025/04/Greiner-Gallery.png');
  color: red;
  top: 20px;
  right: 0;
}

.sidebar-filter .accordion .heading.active h3::after {
  display: flex;
  float: right;
  content: "";
  background-repeat: no-repeat !important;
  width: 15px;
  position: relative;
  height: 2px;
  background: url('../../uploads/2025/04/Greiner-Gallery2.png');
  color: red;
  top: 20px;
  right: 0;
}

.elementor-nav-menu > li.menu-item:nth-last-child(3),
.elementor-nav-menu > li.menu-item:nth-last-child(2) {
  margin-right: 5px;
}

.project-block {
  height: 485px;
}
.project-block img {
  height: 199px;
  object-fit: cover;
}
.project-block .project-block-text img {
  height: auto;
}
.slide-bg-image {
  width: 100%;
  height: 200px;
  background-size: cover;
  background-position: center;
 
  margin-bottom: 20px;
}


.ef-accordion-wrapper {
	color: #fff;
    width: 100%;
	line-height: 30px;
	padding-bottom: 10px !important;
}
.ef-accordion-wrapper .ef-acc-header {
    background: rgb(255 255 255 / 10%);
	padding: 10px;
	margin-bottom: 15px;
	cursor: pointer;
}
.ef-accordion-wrapper .ef-acc-body {
    display: flex;
    flex-wrap: wrap;
	padding-top:10px;
}






@media screen and (min-width: 1024px) {
  .sub-arrow svg {
    fill: #fff;
  }

  .menu-item:hover .sub-arrow svg {
    fill: #fff;
  }
}

/* Footer */
.subfooter a {
  font-size: 13px;
  color: #fa1212;
}

.subfooter a:hover {
  color: #888;
  font-size: 13px;
}

/* Footer Link Overrides */
.footer-link a {
  color: #fff !important;
}

.footer-link a:hover {
  color: #fff !important;
}

@media (min-width: 1300px){
  .project-award .project-block-text {
    width: 70%;
    padding: 20px 25px;
  }
  .project-award .slide-bg-image{
    width: 30%;
  }
}
@media (max-width: 1300px) {
  .project-award {
    flex-wrap: wrap;
  }
  .project-award-col  .slide-bg-image {
    margin-bottom: 20px !important;
  }
  .project-award-col .project-block-text {
    width: 100% !important;
    padding: 0 !important;
}
  .project-block-col {
    width: 50% !important;
}
}
/* Remove icons on mobile navigation */
@media (max-width: 1024px) {
  .main-footer .elementor-icon-list-item .elementor-icon-list-icon {
    display: none;
  }
}

/* Utility Header Link Overrides */
.utility-header-link a {
  color: #fff !important;
}

.utility-header-link a:hover {
  color: #fff !important;
}

/* Tabs */




@media screen and (max-width: 991px) and (min-width: 767px){
  .project-block {
    height: 580px !important;
}
}

@media screen and (max-width: 767px) {
  .main-tab .e-n-tabs-heading {
    width: 100% !important;
    display: block !important;
  }
  .main-tab .e-n-tabs-heading .e-n-tab-title {
    width: 100% !important;
  }
}

.e-n-tabs-heading button {
  display: flex !important;
  justify-content: flex-start !important;
  flex: 1 !important;
  padding: 2rem !important;
}

@media (max-width: 991px) {
}

@media (max-width: 767px) {
  .tab-container {
    display: flex !important;
    flex-direction: row-reverse !important;
  }
  .project-block-col {
    width: 100% !important;
}
}

.tab-inner {
  text-align: left;
}

.tab-inner h3 {
  font-size: 24px;
  color: #fff;
  margin-bottom: 0.4rem;
}

.tab-inner p {
  font-weight: 500;
  font-size: 15px;
}

.tab-footer {
  display: flex;
  justify-content: flex-start;
  gap: 5px;
  align-items: center;
  font-weight: 600;
}

.tab-footer-left {
  display: flex;
  align-items: center;
}

.tab-footer-left img {
  max-width: 29px;
  width: 100%;
  margin-right: 5px;
  vertical-align: middle;
}

.tab-footer-right p {
  margin: 0;
  padding: 0;
  font-size: 0.73em;
  text-transform: uppercase;
  letter-spacing: 0.1em;
}

/* Blog */
.card-blog-post {
  text-decoration: none !important;
}

/* Blog Single Post: Featured Posts */
.recent-blog-posts .e-loop-item:last-child .e-con {
  border-bottom: none;
}

/* Form zoom fix on mobile */
input[type="color"],
input[type="date"],
input[type="datetime"],
input[type="datetime-local"],
input[type="email"],
input[type="file"],
input[type="month"],
input[type="number"],
input[type="password"],
input[type="range"],
input[type="search"],
input[type="tel"],
input[type="text"],
input[type="time"],
input[type="url"],
input[type="week"],
input[type="checkbox"],
input[type="radio"],
input[type="image"],
input[type="button"],
input[type="submit"],
select:focus,
select,
textarea,
label,
button {
  font-size: 15px !important;
	
}

.project-block-row {
  display: flex;
  flex-wrap: wrap;
  margin: 0 -15px;
  gap: 30px 0;
}
.project-block-col {
  padding: 0 15px;
  width: 33.33%;
}
.project-block {
  border-bottom: 9px solid #fa1212;
  background-color: #fff;
}
.project-block-text {
  padding: 20px 25px;
}
.project-block-text h3 {
  margin: 0 0 10px 0;
  color: #000000;
  font-family: "Montserrat", Sans-serif;
  font-size: 20px;
  font-weight: 700;
  line-height: 1.2em;
}
.project-block-text p {
  text-align: left;
  font-family: "Montserrat", Sans-serif;
  font-size: 16px;
  font-weight: 400;
  line-height: 1.4em;
}
.project-block-text img {
  width: 30px;
}
.project-block-text ul {
  padding: 0;
  list-style: none;
  margin: 0 0 15px 0;
}
.project-block-text ul li {
  font-family: "Montserrat", Sans-serif;
  font-size: 16px;
  font-weight: 400;
  line-height: 1.4em;
  margin: 0 0 5px 0;
}

.sidebar-filter-block {
  margin-bottom: 30px;
}
.title {
  padding: 0 0 5px 0;
  border-bottom: 3px solid #e6e7e7;
  margin: 0 0 15px 0;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}
.title h3 {
  font-family: "Montserrat", Sans-serif;
  font-size: 16px;
  font-weight: 700;
  text-transform: uppercase;
  line-height: 1.4em;
  letter-spacing: 1.4px;
  color: #fa1212;
  margin: 0 0 0;
  letter-spacing: 4px;
}
.types-block {
  padding-bottom: 15px;
  border-bottom: 3px solid #e6e7e7;
}
.radio-text {
  padding: 5px 0;
}
.radio-text label {
  font-family: "Montserrat", Sans-serif;
  font-size: 16px;
  font-weight: 700;
  line-height: 1.4em;
  cursor: pointer;
  transition: all 0.5s ease;
  transform: translateX(20px);
}
.radio-text input[type="radio"]:checked + label {
  color: #fa1212;
  transform: translateX(10px);
}
.radio-text input {
  display: none;
}
.reset-btn {
  display: flex !important;
  align-items: center !important;
  background-color: transparent !important;
  padding: 0 !important;
  color: #808181 !important;
  border: none !important;
  font-size: 13px !important;
  font-weight: normal !important;
}
.reset-btn img {
  width: 15px;
  margin-right: 5px;
}
.project-block-col:hover {
  transform: scale(1.03); /* Adjust the scale value for more or less zoom */
  transition: transform 0.5s ease-in-out; /* Smooth transition */
}
.project-block-col a{
	color:#3E3E3E;

}
.project-block-col a:hover{

text-decoration: none; }



.project-award {
  height: auto !important;
}

.project-award-col {
  width: 100% !important;
}
.project-award {
  display: flex;
}

.project-award-col .project-block-text {
  padding: 0 0 0 25px;
}

.project-award-col  .slide-bg-image {
  margin-bottom: 0;
}
.project-award-row .project-award-col:hover {
  transform: none !important;
  transition: none !important;
}
.project-award {
  border-bottom: none;
}
footer.elementor-slideshow__footer.elementor-lightbox-prevent-close {
  display: none;
}

/* CallRail Form */
.callrail-form {
	margin: auto;
	display: flex;
	flex-wrap: wrap;
	gap: 20px;
	box-sizing: border-box;
}

.callrail-form label {
	display: none;
}

.callrail-form .form-check-label {
	display: inline-block;
	padding-left: 10px;
	color: #fff !important;
}

.callrail-form .form-group {
	flex: 1 1 45%;
}

.callrail-form .form-group.full {
	flex: 1 1 100%;
}

.callrail-form input[type="text"],
.callrail-form input[type="email"],
.callrail-form input[type="tel"],
.callrail-form textarea,
.callrail-form select {
	width: 100%;
	padding: 10px 6px 10px 6px;
	border: none;
	border-radius: 0;
	background: #f5f5f5;
	color: #333;
	font-size: 15px;
	box-sizing: border-box;
}

.callrail-form textarea {
	resize: vertical;
	min-height: 100px;
}

.callrail-form input[type="checkbox"] {
	transform: scale(1.2);
	margin-top: 6px;
}

.callrail-form .form-check {
	display: flex;
	align-items: flex-start;
}

.callrail-form #submit-btn {
	width: 100%;
	background-color: #fa1212;
	color: #fff;
	font-size: 15px;
	padding: 14px;
	border: none;
	border-radius: 0px;
	cursor: pointer;
}

.callrail-form .submit-btn:hover {
	background-color: #c4000f;
}

.callrail-form .submit-btn {
	width: 100%;
	background-color: #fa1212;
	color: #fff;
	font-size: 15px;
	padding: 14px;
	border: none;
	border-radius: 0px;
	cursor: pointer;
}

.callrail-form #submit-btn:hover {
	background-color: #c4000f;
}

@media (max-width: 767px) {

	.callrail-form .form-group,
	.callrail-form .form-group.full {
		flex: 1 1 100% !important;
	}
}